<?php

declare(strict_types=1);

namespace Drupal\Tests\file_temporary_validator\Functional;

use Drupal\Tests\BrowserTestBase;
use Drupal\Tests\media\Traits\MediaTypeCreationTrait;

/**
 * Base class for File Temporary Validator functional tests.
 *
 * @group file_temporary_validator
 */
abstract class FileTemporaryValidatorTestBase extends BrowserTestBase {

  use MediaTypeCreationTrait;

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  /**
   * Modules required for the tests.
   *
   * @var string[]
   */
  protected static $modules = [
    'system',
    'file',
    'field',
    'field_ui',
    'media',
    'views',
    'file_temporary_validator',
  ];

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();

    $this->createMediaType('file', [
      'id' => 'document',
      'label' => 'Document',
    ]);
  }

}
